#!/bin/bash

cp ../Autotuner64/src/atune_headers/*.h ../glas/src/atune_headers/.
cp ../Autotuner64/src/defines.h ../glas/src/.
cp ../Autotuner64/src/dense.h ../glas/src/.
cp ../Autotuner64/src/atomicOperations.h ../glas/src/.
cp ../Autotuner64/src/level1_templatemacros.h ../glas/src/.
cp ../Autotuner64/src/level2_templatemacros.h ../glas/src/.

cp ../Autotuner64/src/sread/sread.cu ../glas/src/.
cp ../Autotuner64/src/sread/sread_kernels.cu ../glas/src/.
cp ../Autotuner64/src/sread/sread_macros.h ../glas/src/.

cp ../Autotuner64/src/smset/smset.cu ../glas/src/.
cp ../Autotuner64/src/smset/smset_kernels.cu ../glas/src/.
cp ../Autotuner64/src/smset/smset_macros.h ../glas/src/.

cp ../Autotuner64/src/scopy/scopy.cu ../glas/src/.
cp ../Autotuner64/src/scopy/scopy_kernels.cu ../glas/src/.
cp ../Autotuner64/src/scopy/scopy_macros.h ../glas/src/.

cp ../Autotuner64/src/sswap/sswap.cu ../glas/src/.
cp ../Autotuner64/src/sswap/sswap_kernels.cu ../glas/src/.
cp ../Autotuner64/src/sswap/sswap_macros.h ../glas/src/.

cp ../Autotuner64/src/sscal/sscal.cu ../glas/src/.
cp ../Autotuner64/src/sscal/sscal_kernels.cu ../glas/src/.
cp ../Autotuner64/src/sscal/sscal_macros.h ../glas/src/.

cp ../Autotuner64/src/saxpy/saxpy.cu ../glas/src/.
cp ../Autotuner64/src/saxpy/saxpy_kernels.cu ../glas/src/.
cp ../Autotuner64/src/saxpy/saxpy_macros.h ../glas/src/.

cp ../Autotuner64/src/samax/samax.cu ../glas/src/.
cp ../Autotuner64/src/samax/samax_kernels.cu ../glas/src/.
cp ../Autotuner64/src/samax/samax_macros.h ../glas/src/.

cp ../Autotuner64/src/isamax/isamax.cu ../glas/src/.
cp ../Autotuner64/src/isamax/isamax_kernels.cu ../glas/src/.
cp ../Autotuner64/src/isamax/isamax_macros.h ../glas/src/.

cp ../Autotuner64/src/sasum/sasum.cu ../glas/src/.
cp ../Autotuner64/src/sasum/sasum_kernels.cu ../glas/src/.
cp ../Autotuner64/src/sasum/sasum_macros.h ../glas/src/.

cp ../Autotuner64/src/sdot/sdot.cu ../glas/src/.
cp ../Autotuner64/src/sdot/sdot_kernels.cu ../glas/src/.
cp ../Autotuner64/src/sdot/sdot_macros.h ../glas/src/.

cp ../Autotuner64/src/srot/srot.cu ../glas/src/.
cp ../Autotuner64/src/srot/srot_kernels.cu ../glas/src/.
cp ../Autotuner64/src/srot/srot_macros.h ../glas/src/.

cp ../Autotuner64/src/snrm2/snrm2.cu ../glas/src/.
cp ../Autotuner64/src/snrm2/snrm2_kernels.cu ../glas/src/.
cp ../Autotuner64/src/snrm2/snrm2_macros.h ../glas/src/.

cp ../Autotuner64/src/sgemv_col_major/sgemv_col_major.cu ../glas/src/.
cp ../Autotuner64/src/sgemv_col_major/sgemv_col_major_kernels.cu ../glas/src/.
cp ../Autotuner64/src/sgemv_col_major/sgemv_col_major_macros.h ../glas/src/.

cp ../Autotuner64/src/sgemv_row_major/sgemv_row_major.cu ../glas/src/.
cp ../Autotuner64/src/sgemv_row_major/sgemv_row_major_kernels.cu ../glas/src/.
cp ../Autotuner64/src/sgemv_row_major/sgemv_row_major_macros.h ../glas/src/.

cp ../Autotuner64/src/strsv_col_major/strsv_col_major.cu ../glas/src/.
cp ../Autotuner64/src/strsv_col_major/strsv_col_major_kernels.cu ../glas/src/.
cp ../Autotuner64/src/strsv_col_major/strsv_col_major_kernelmacros.h ../glas/src/.
cp ../Autotuner64/src/strsv_col_major/strsv_col_major_templatemacros.h ../glas/src/.

cp ../Autotuner64/update_glas.sh ../glas/.
#cd ../glas; make clean; make
cd ../glas; make
cd ../Autotuner64
